[bandcamp-fetch](../README.md) / DiscoverParams

# Interface: DiscoverParams

Params used in discovery requests.

**`See`**

DiscoveryAPI.discover

## Table of contents

### Properties

- [albumImageFormat](DiscoverParams.md#albumimageformat)
- [artistImageFormat](DiscoverParams.md#artistimageformat)
- [artistRecommendationType](DiscoverParams.md#artistrecommendationtype)
- [format](DiscoverParams.md#format)
- [genre](DiscoverParams.md#genre)
- [location](DiscoverParams.md#location)
- [page](DiscoverParams.md#page)
- [sortBy](DiscoverParams.md#sortby)
- [subgenre](DiscoverParams.md#subgenre)
- [time](DiscoverParams.md#time)

## Properties

### albumImageFormat

• `Optional` **albumImageFormat**: `string` \| `number` \| [`ImageFormat`](ImageFormat.md)

Value indicating the image format to adopt when constructing image URLs of discovered albums.

#### Defined in

[lib/types/Discovery.ts:37](https://github.com/patrickkfkan/bandcamp-fetch/blob/7815c68/src/lib/types/Discovery.ts#L37)

___

### artistImageFormat

• `Optional` **artistImageFormat**: `string` \| `number` \| [`ImageFormat`](ImageFormat.md)

Value indicating the image format to adopt when constructing image URLs of album artists.

#### Defined in

[lib/types/Discovery.ts:41](https://github.com/patrickkfkan/bandcamp-fetch/blob/7815c68/src/lib/types/Discovery.ts#L41)

___

### artistRecommendationType

• `Optional` **artistRecommendationType**: `string`

#### Defined in

[lib/types/Discovery.ts:33](https://github.com/patrickkfkan/bandcamp-fetch/blob/7815c68/src/lib/types/Discovery.ts#L33)

___

### format

• `Optional` **format**: `string`

#### Defined in

[lib/types/Discovery.ts:32](https://github.com/patrickkfkan/bandcamp-fetch/blob/7815c68/src/lib/types/Discovery.ts#L32)

___

### genre

• `Optional` **genre**: `string`

#### Defined in

[lib/types/Discovery.ts:26](https://github.com/patrickkfkan/bandcamp-fetch/blob/7815c68/src/lib/types/Discovery.ts#L26)

___

### location

• `Optional` **location**: `string`

#### Defined in

[lib/types/Discovery.ts:31](https://github.com/patrickkfkan/bandcamp-fetch/blob/7815c68/src/lib/types/Discovery.ts#L31)

___

### page

• `Optional` **page**: `number`

#### Defined in

[lib/types/Discovery.ts:28](https://github.com/patrickkfkan/bandcamp-fetch/blob/7815c68/src/lib/types/Discovery.ts#L28)

___

### sortBy

• `Optional` **sortBy**: `string`

#### Defined in

[lib/types/Discovery.ts:27](https://github.com/patrickkfkan/bandcamp-fetch/blob/7815c68/src/lib/types/Discovery.ts#L27)

___

### subgenre

• `Optional` **subgenre**: `string`

#### Defined in

[lib/types/Discovery.ts:30](https://github.com/patrickkfkan/bandcamp-fetch/blob/7815c68/src/lib/types/Discovery.ts#L30)

___

### time

• `Optional` **time**: `number`

#### Defined in

[lib/types/Discovery.ts:29](https://github.com/patrickkfkan/bandcamp-fetch/blob/7815c68/src/lib/types/Discovery.ts#L29)
